----------------------------------------------------------------------------------
-- Company:
-- Engineer:
-- 
-- Create Date:    17:45:10 03/15/2007 
-- Design Name: 
-- Module Name:    controller_7seg - behavioral 
-- Project Name: 
-- Target Devices: 
-- Tool versions: 
-- Description: 
--
-- Dependencies: 
--
-- Revision: 
-- Revision 0.01 - File Created
-- Additional Comments: 
--
----------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;


entity BinTo7Seg is
  port(InBin   : in  std_logic_vector(3 downto 0);
       Out7Seg : out std_logic_vector(7 downto 0) 
	  );
end BinTo7Seg;


architecture behavioral of BinTo7Seg is
begin
	with InBin select
		Out7Seg <= "01000000" when "0000",
				   "01111001" when "0001",
				   "00100100" when "0010",
				   "00110000" when "0011",
				   "00011001" when "0100",
				   "00010010" when "0101",
				   "00000010" when "0110",
				   "01111000" when "0111",
				   "00000000" when "1000",
				   "00010000" when "1001",
				   "00001000" when "1010",
				   "00000011" when "1011",
				   "01000110" when "1100",
				   "00100001" when "1101",
				   "00000110" when "1110",
				   "00001110" when "1111",
					"00000000" when others;
end behavioral;
