--------------------------------------------------------------------------------
-- Company: 
-- Engineer:
--
-- Create Date:    14:43:14 09/12/07
-- Design Name:    
-- Module Name:    mux4to1 - Behavioral
-- Project Name:   
-- Target Device:  
-- Tool versions:  
-- Description:
--
-- Dependencies:
-- 
-- Revision:
-- Revision 0.01 - File Created
-- Additional Comments:
-- 
--------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;


entity Mux4To1 is
    Port ( input0 : in std_logic_vector(3 downto 0);
           input1 : in std_logic_vector(3 downto 0);
           input2 : in std_logic_vector(3 downto 0);
           input3 : in std_logic_vector(3 downto 0);
           output : out std_logic_vector(3 downto 0);
           sel    : in integer range 0 to 3
			  );
end Mux4To1;

architecture Behavioral of Mux4To1 is

begin
	with sel select
		Output <= input0 when 0,
				  input1 when 1,
				  input2 when 2,
				  input3 when 3;
end Behavioral;
